Skip to main content
POST
Update the connector job state

Path Parameters

id
string
required

The datasource ID.

Query Parameters

abort
boolean
default:false

Set this to true to abort the job.

waitTime
integer<int64>
default:60000

The amount of time (in milliseconds) to wait for the update.

Body

application/json

The job's new state.

state
enum<string>
Available options:
START,
STOP
Example:

"START"

Response

200 - application/json

OK

extra
object
required

Additional details about the job run.

Example:
resource
string
Example:

"datasource:pokemon_zip-api-test-app"

runId
string
Example:

"KtqiNJnAXN"

startTime
integer<int64>
Example:

1722554920412

state
enum<string>
Available options:
READY,
RUNNING,
PAUSED,
ABORTED,
FAILED,
SUCCESS
Example:

"SUCCESS"

time
integer<int64>
Example:

1722560849072

error
object | null
Example:

null